<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('websitesettings', function (Blueprint $table) {
            $table->id();
             $table->string('site_title')->nullable();
            $table->string('fevicon')->nullable();
            $table->string('header_logo')->nullable();
            $table->string('footer_logo')->nullable();
            $table->string('file_size')->nullable();
            $table->string('whatsapp')->nullable();
            $table->string('mobile_number')->nullable();
            $table->string('login_otp_default_number')->nullable();
            $table->string('login_otp_default_email')->nullable();
            $table->string('otp_defalut_status')->nullable();
            $table->string('otp_defalutemail_status')->nullable();
            $table->string('login_with_opt_apply')->nullable();
            $table->string('email')->nullable();

            $table->text('address')->nullable();
            $table->text('web_url')->nullable();

            $table->string('facebook')->nullable();
            $table->string('linkedin')->nullable();
            $table->string('instagram')->nullable();
            $table->string('twitter')->nullable();
            $table->string('youtube')->nullable();

            $table->text('footer_content')->nullable();
            $table->text('copyright')->nullable();
            $table->text('meta_title')->nullable();
            $table->text('meta_keyword')->nullable();
            $table->text('meta_description')->nullable();
            $table->text('video_link')->nullable();
            $table->text('map_link')->nullable();

            $table->string('adminloginattempt_time')->nullable();
            $table->string('admin_otp_attempt_count')->nullable();

            $table->string('multipal_attempt_status')->default('0');
            $table->string('user_multipal_attempt_status')->default('0');

            $table->string('user_login_with_opt_apply')->nullable();
            $table->string('admin_login_ip_attempt_count')->nullable();
            $table->string('allotted_countries')->nullable();
            $table->string('state')->nullable();

            $table->string('otp_send_type')
                  ->nullable()
                  ->comment('1->Number,2->Email');

            $table->string('services')->nullable();
            $table->string('home_services')->nullable();
            $table->string('sub_services')->nullable();

            $table->text('captchasitekey')->nullable();
            $table->text('captchasecretkey')->nullable();

            $table->enum('status', ['0', '1'])->default('1');

            $table->string('panel_id')->nullable();
            $table->string('created_by')->nullable();
            $table->string('order_popap_status')->nullable();
            $table->string('order_invoice_due_date')->nullable();
            $table->string('title')->nullable();
            $table->string('ip')->nullable();
            $table->string('strtotime')->nullable();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('websitesettings');
    }
};
